toolshortcuts = {1, 2, 3, 4, 5, 6, 7, 8, 9, 0, "R", "T", "Y", "U", "I", "O", "P"}

syntaxcolors =
	{
	command = {124, 112, 218},
	generic = {156, 158, 159},
	separator = {124, 43, 124},
	number = {250, 250, 88},
	textbox = {156, 158, 159},
	errortext = {255, 0, 0},
	cursor = {255, 255, 255},
	flagname = {255, 128, 0}
	}

tilesetnames =
	{
	"tiles.png",
	"tiles2.png"
	}
	
usedtilesets =
	{
	[0] = 1, -- space station
	[1] = 2, -- outside
	[2] = 2, -- lab
	[3] = 2, -- warp zone
	[4] = 2, -- ship
	}

knowncommands =
	{
	say = true,
	reply = true,
	delay = true,
	happy = true,
	sad = true,
	flag = true,
	ifflag = true,
	iftrinkets = true,
	--iftrinketsless = true,
	destroy = true,
	music = true,
	
	map = true,
	squeak = true,
	}

knowninternalcommands =
	{
	moveplayer = true,
	delay = true,
	flash = true,
	shake = true,
	walk = true,
	flip = true,
	tofloor = true,
	playef = true,
	play = true,
	stopmusic = true,
	resumemusic = true,
	musicfadeout = true,
	musicfadein = true,
	gotoposition = true,
	gotoroom = true,
	cutscene = true,
	endcutscene = true,
	untilbars = true,
	text = true,
	position = true,
	backgroundtext = true,
	flipme = true,
	speak_active = true,
	speak = true,
	endtext = true,
	endtextfast = true,
	["do"] = true,
	loop = true,
	vvvvvvman = true,
	undovvvvvvman = true,
	createentity = true,
	createcrewman = true,
	changemood = true,
	changetile = true,
	flipgravity = true,
	changegravity = true,
	changedir = true,
	alarmon = true,
	alarmoff = true,
	changeai = true,
	activateteleporter = true,
	changecolour = true,
	squeak = true,
	blackout = true,
	blackon = true,
	setcheckpoint = true,
	gamestate = true,
	textboxactive = true,
	gamemode = true,
	ifexplored = true,
	iflast = true,
	ifskip = true,
	ifflag = true,
	ifcrewlost = true,
	iftrinkets = true,
	--iftrinketsless = true,
	hidecoordinates = true,
	showcoordinates = true,
	hideship = true,
	showship = true,
	showsecretlab = true,
	hidesecretlab = true,
	showteleporters = true,
	showtargets = true,
	showtrinkets = true,
	hideteleporters = true,
	hidetargets = true,
	hidetrinkets = true,
	hideplayer = true,
	showplayer = true,
	teleportscript = true,
	clearteleportscript = true,
	nocontrol = true,
	hascontrol = true,
	companion = true,
	befadein = true,
	fadein = true,
	fadeout = true,
	untilfade = true,
	entersecretlab = true,
	leavesecretlab = true,
	resetgame = true,
	loadscript = true,
	rollcredits = true,
	finalmode = true,
	rescued = true,
	missing = true,
	face = true,
	jukebox = true,
	createactivityzone = true,
	createrescuedcrew = true,
	restoreplayercolour = true,
	changeplayercolour = true,
	altstates = true,
	activateteleporter = true,
	foundtrinket = true,
	foundlab = true,
	foundlab2 = true,
	everybodysad = true,
	startintermission2 = true,
	telesave = true,
	createrescued = true,
	specialline = true,
	trinketbluecontrol = true,
	trinketyellowcontrol = true,
	redcontrol = true,
	greencontrol = true,
	bluecontrol = true,
	yellowcontrol = true,
	purplecontrol = true,
	
	customifflag = true,
	customiftrinkets = true,
	--customiftrinketsless = true,
	customposition = true,
	changecustommood = true,
	}

tilesetblocks =
	{
	spacestation =
		{
		tilesetid = 10100,
		tileimg = 1,
		colors =
			{
			c1 = -- blue1 =
				{
				colorid = 10101,
				blocks =
					{
					  83,   84,   85,    0,    0,    0,
					 123,  124,  125,    0,    0,    0,
					 163,  164,  165,    0,    0,    0,
					 203,  204,  205,    0,    0,    0,
					 243,  244,  245,    0,    0,    0,
					},
				background =
					{
					 680,  681,  682,  880,  881,  882,
					 720,  721,  722,  920,  921,  922,
					 760,  761,  762,  960,  961,  962,
					 800,  801,  802, 1000, 1001, 1002,
					 840,  841,  842, 1040, 1041, 1042,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			c2 = -- pink1 =
				{
				colorid = 10102,
				blocks =
					{
					  86,   87,   88,    0,    0,    0,
					 126,  127,  128,    0,    0,    0,
					 166,  167,  168,    0,    0,    0,
					 206,  207,  208,    0,    0,    0,
					 246,  247,  248,    0,    0,    0,
					},
				background =
					{
					 698,  699,  700,  898,  899,  900,
					 738,  739,  740,  938,  939,  940,
					 778,  779,  780,  978,  979,  980,
					 818,  819,  820, 1018, 1019, 1020,
					 858,  859,  860, 1058, 1059, 1060,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			c3 = -- red1 =
				{
				colorid = 10103,
				blocks =
					{
					  89,   90,   91,    0,    0,    0,
					 129,  130,  131,    0,    0,    0,
					 169,  170,  171,    0,    0,    0,
					 209,  210,  211,    0,    0,    0,
					 249,  250,  251,    0,    0,    0,
					},
				background =
					{
					 695,  696,  697,  895,  896,  897,
					 735,  736,  737,  935,  936,  937,
					 775,  776,  777,  975,  976,  977,
					 815,  816,  817, 1015, 1016, 1017,
					 855,  856,  857, 1055, 1056, 1057,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			c4 = -- yellow1 =
				{
				colorid = 10104,
				blocks =
					{
					  92,   93,   94,    0,    0,    0,
					 132,  133,  134,    0,    0,    0,
					 172,  173,  174,    0,    0,    0,
					 212,  213,  214,    0,    0,    0,
					 252,  253,  254,    0,    0,    0,
					},
				background =
					{
					 683,  684,  685,  883,  884,  885,
					 723,  724,  725,  923,  924,  925,
					 763,  764,  765,  963,  964,  965,
					 803,  804,  805, 1003, 1004, 1005,
					 843,  844,  845, 1043, 1044, 1045,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			c5 = -- green1 =
				{
				colorid = 10105,
				blocks =
					{
					  95,   96,   97,    0,    0,    0,
					 135,  136,  137,    0,    0,    0,
					 175,  176,  177,    0,    0,    0,
					 215,  216,  217,    0,    0,    0,
					 255,  256,  257,    0,    0,    0,
					},
				background =
					{
					 689,  690,  691,  889,  890,  891,
					 729,  730,  731,  929,  930,  931,
					 769,  770,  771,  969,  970,  971,
					 809,  810,  811, 1009, 1010, 1011,
					 849,  850,  851, 1049, 1050, 1051,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			c6 = -- blue2 =
				{
				colorid = 10106,
				blocks =
					{
					  98,   99,  100,    0,    0,    0,
					 138,  139,  140,    0,    0,    0,
					 178,  179,  180,    0,    0,    0,
					 218,  219,  220,    0,    0,    0,
					 258,  259,  260,    0,    0,    0,
					},
				background =
					{
					 680,  681,  682,  880,  881,  882,
					 720,  721,  722,  920,  921,  922,
					 760,  761,  762,  960,  961,  962,
					 800,  801,  802, 1000, 1001, 1002,
					 840,  841,  842, 1040, 1041, 1042,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			c7 = -- red2 =
				{
				colorid = 10107,
				blocks =
					{
					 101,  102,  103,    0,    0,    0,
					 141,  142,  143,    0,    0,    0,
					 181,  182,  183,    0,    0,    0,
					 221,  222,  223,    0,    0,    0,
					 261,  262,  263,    0,    0,    0,
					},
				background =
					{
					 695,  696,  697,  895,  896,  897,
					 735,  736,  737,  935,  936,  937,
					 775,  776,  777,  975,  976,  977,
					 815,  816,  817, 1015, 1016, 1017,
					 855,  856,  857, 1055, 1056, 1057,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			c8 = -- eight =
				{
				colorid = 10108,
				blocks =
					{
					 104,  105,  106,    0,    0,    0,
					 144,  145,  146,    0,    0,    0,
					 184,  185,  186,    0,    0,    0,
					 224,  225,  226,    0,    0,    0,
					 264,  265,  266,    0,    0,    0,
					},
				background =
					{
					 704,  705,  706,  904,  905,  906,
					 744,  745,  746,  944,  945,  946,
					 784,  785,  786,  984,  985,  986,
					 824,  825,  826, 1024, 1025, 1026,
					 864,  865,  866, 1064, 1065, 1066,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			-- MORE!
			}
		},
	outside =
		{
		tilesetid = 20200,
		tileimg = 2,
		colors =
			{
			blue =
				{
				colorid = 20201,
				blocks =
					{
					 480,  481,  482,    0,    0,    0,
					 520,  521,  522,    0,    0,    0,
					 560,  561,  562,    0,    0,    0,
					 600,  601,  602,    0,    0,    0,
					 640,  641,  642,    0,    0,    0,
					},
				background =
					{
					 680,  681,  682,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			red =
				{
				colorid = 20202,
				blocks =
					{
					 483,  484,  485,    0,    0,    0,
					 523,  524,  525,    0,    0,    0,
					 563,  564,  565,    0,    0,    0,
					 603,  604,  605,    0,    0,    0,
					 643,  644,  645,    0,    0,    0,
					},
				background =
					{
					 683,  684,  685,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			cyan =
				{
				colorid = 20203,
				blocks =
					{
					 486,  487,  488,    0,    0,    0,
					 526,  527,  528,    0,    0,    0,
					 566,  567,  568,    0,    0,    0,
					 606,  607,  608,    0,    0,    0,
					 646,  647,  648,    0,    0,    0,
					},
				background =
					{
					 686,  687,  688,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			purple =
				{
				colorid = 20204,
				blocks =
					{
					 489,  490,  491,    0,    0,    0,
					 529,  530,  531,    0,    0,    0,
					 569,  570,  571,    0,    0,    0,
					 609,  610,  611,    0,    0,    0,
					 649,  650,  651,    0,    0,    0,
					},
				background =
					{
					 689,  690,  691,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			yellow =
				{
				colorid = 20205,
				blocks =
					{
					 492,  493,  494,    0,    0,    0,
					 532,  533,  534,    0,    0,    0,
					 572,  573,  574,    0,    0,    0,
					 612,  613,  614,    0,    0,    0,
					 652,  653,  654,    0,    0,    0,
					},
				background =
					{
					 692,  693,  694,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			green =
				{
				colorid = 20206,
				blocks =
					{
					 495,  496,  497,    0,    0,    0,
					 535,  536,  537,    0,    0,    0,
					 575,  576,  577,    0,    0,    0,
					 615,  616,  617,    0,    0,    0,
					 655,  656,  657,    0,    0,    0,
					},
				background =
					{
					 695,  696,  697,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			pink =
				{
				colorid = 20207,
				blocks =
					{
					 498,  499,  500,    0,    0,    0,
					 538,  539,  540,    0,    0,    0,
					 578,  579,  580,    0,    0,    0,
					 618,  619,  620,    0,    0,    0,
					 658,  659,  660,    0,    0,    0,
					},
				background =
					{
					 698,  699,  700,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			brown =
				{
				colorid = 20208,
				blocks =
					{
					 501,  502,  503,    0,    0,    0,
					 541,  542,  543,    0,    0,    0,
					 581,  582,  583,    0,    0,    0,
					 621,  622,  623,    0,    0,    0,
					 661,  662,  663,    0,    0,    0,
					},
				background =
					{
					 701,  702,  703,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			}
		},
	lab =
		{
		tilesetid = 20300,
		tileimg = 2,
		colors =
			{
			-- MORE!
			}
		},
	warpzone =
		{
		tilesetid = 20400,
		tileimg = 2,
		colors =
			{
			-- MORE!
			}
		},
	ship =
		{
		tilesetid = 20500,
		tileimg = 2,
		colors =
			{
			green =
				{
				colorid = 20501,
				blocks =
					{
					 101,  102,  103,    0,    0,    0,
					 141,  142,  143,    0,    0,    0,
					 181,  182,  183,    0,    0,    0,
					 221,  222,  223,    0,    0,    0,
					 261,  262,  263,    0,    0,    0,
					},
				background =
					{
					 741,  742,  743,    0,    0,    0,
					 781,  782,  783,    0,    0,    0,
					 821,  822,  823,    0,    0,    0,
					 861,  862,  863,    0,    0,    0,
					 901,  902,  903,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			cyan =
				{
				colorid = 20502,
				blocks =
					{
					 104,  105,  106,    0,    0,    0,
					 144,  145,  146,    0,    0,    0,
					 184,  185,  186,    0,    0,    0,
					 224,  225,  226,    0,    0,    0,
					 264,  265,  266,    0,    0,    0,
					},
				background =
					{
					 744,  745,  746,    0,    0,    0,
					 784,  785,  786,    0,    0,    0,
					 824,  825,  826,    0,    0,    0,
					 864,  865,  866,    0,    0,    0,
					 904,  905,  906,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    8,    0,    0,    0,
					   0,   50,    0,   49,    0,    0,
					   0,    0,    9,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				},
			-- MORE!
			}
		},
	creator =
		{
		tilesetid = 99900,
		tileimg = 1,
		colors =
			{
			creator =
				{
				colorid = 99999,
				blocks =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					},
				background =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					},
				spikes =
					{
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					   0,    0,    0,    0,    0,    0,
					}
				}
			}
		},
	}